Foreman - Bug #32264

vmware - keyboard input in disk size field inserts superfluous GB modifier
04/07/2021 01:05 PM - Marcel Kiihlhorn

Status: Closed

Priority: Normal

Assignee: yifat makias

Category: Compute resources - VMware

Target version:

Difficulty: Fixed in Releases: 241,25.0
Triaged: No Found in Releases: 2.3.3
Bugzilla link: 1966527 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p

ull/g477,

https://github.com/theforeman/foreman/p

ull/8503
Description

When trying to enter a number in the disk size field, either in a compute profile or during host creation, every keypress inserts a new
pair of "GB"

Once the field looses focus, for example ba clicking elsewhere on the page, the superfluous "GB" vanish, together with everything
after the first "GB"

See attached screen recording

Associated revisions

Revision fcda6804 - 05/02/2021 07:20 PM - yifat makias
Fixes #32264 - Fix bug in vmware disk size field input

History

#1 - 04/12/2021 12:29 PM - Bernhard Suttner

- Assignee set to Chris Roberts

This sounds like an interesting issue :)

#2 - 04/12/2021 12:58 PM - Bernhard Suttner

- Assignee changed from Chris Roberts to yifat makias

| guess, it is related to https:/github.com/theforeman/foreman/commit/cbf3a1f127849a8056aa13d772186e290ab19b13 and maybe another
implementation of the "formatter"

#3 - 04/28/2021 11:24 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/8477 added

#4 - 05/02/2021 07:20 PM - The Foreman Bot
- Fixed in Releases 2.5.0 added

#5 - 05/02/2021 08:01 PM - yifat makias
- Status changed from Ready For Testing to Closed

Applied in changeset foreman|fcda680467b384b2e3e8c0e0fc535187a8ed4ce?.

#6 - 05/05/2021 11:59 AM - The Foreman Bot
https://github.com/theforeman/foreman/commit/cbf3a1f127849a8056aa13d772186e290ab19b13
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/fcda680467b384b2e3e8c0e0fc535187a8ed4ce7

- Pull request https://github.com/theforeman/foreman/pull/8503 added

#7 - 05/05/2021 02:44 PM - Tomer Brisker
- Fixed in Releases 2.4.1 added

#8 - 06/10/2021 02:41 PM - Tomer Brisker
- Bugzilla link set to 1966527
